package depart.frontal.evenements;

import ca.ntro.app.Ntro;
import ca.ntro.app.events.Event;
import depart.commun.modeles.ModeleB;
import depart.frontal.vues.VueB;
import depart.frontal.vues.VueRacine;

public class EvtB extends Event {
	
	private String id;
	
	public EvtB setId(String id) {
		this.id = id;
		return this;
	}
	
	public EvtB methodeA(VueRacine paramA, VueB paramB) {

		 paramA.methodeA(paramB);
		 
		 return this;
	}

	public EvtB methodeB() {
		
		Ntro.session().setModelSelection(ModeleB.class, id);

		return this;
	}

	public void methodeC(VueB objF) {
		objF.methodeC(id);
	}

}
